Sort.cpp File Reference
`#include <string>`
`#include <vector>`
`#include "packet.h"`
`#include <iostream>`

## Functions

void | SortBySrcAddr (vector< Packet > &netdata)
| Function that sorts by source address the packets in the netflow file using the Bubble sort algorithm. More...
void | SortByDstAddr (vector< Packet > &netdata)
| Function that sorts by destination address the packets in the netflow file using the Selection sort algorithm. More...
void | SortBySrcPort (vector< Packet > &netdata)
| Function that sorts by source port the packets in the netflow file using the Bubble sort algorithm. More...
void | SortByDstPort (vector< Packet > &netdata)
| Function that sorts by destination port the packets in the netflow file using the Bubble sort algorithm. More...

## Function Documentation

void SortByDstAddr | ( | vector< Packet > & | netdata | ) |

Function that sorts by destination address the packets in the netflow file using the Selection sort algorithm.

Parameters

  netdata | Packet vector that will be sorted.

void SortByDstPort | ( | vector< Packet > & | netdata | ) |

Function that sorts by destination port the packets in the netflow file using the Bubble sort algorithm.

Parameters

  netdata | Packet vector that will be sorted.

void SortBySrcAddr | ( | vector< Packet > & | netdata | ) |

Function that sorts by source address the packets in the netflow file using the Bubble sort algorithm.

Parameters

  netdata | Packet vector that will be sorted.

void SortBySrcPort | ( | vector< Packet > & | netdata | ) |

Function that sorts by source port the packets in the netflow file using the Bubble sort algorithm.

Parameters

  netdata | Packet vector that will be sorted.